org.wso2.carbon.tryit.wadl.data

## Class parameters

- java.lang.Object
- - org.wso2.carbon.tryit.wadl.data.parameters

-     public class parameters
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `parameters()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowMultiple()`
    `String` | `getDataType()`
    `String` | `getDescription()`
    `String` | `getName()`
    `String` | `getParamType()`
    `String` | `getRequired()`
    `void` | `setAllowMultiple(String allowMultiple)`
    `void` | `setDataType(String dataType)`
    `void` | `setDescription(String description)`
    `void` | `setName(String name)`
    `void` | `setParamType(String paramType)`
    `void` | `setRequired(String required)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### parameters

          public parameters()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getParamType

          public String getParamType()

    - #### setParamType

          public void setParamType(String paramType)

    - #### getRequired

          public String getRequired()

    - #### setRequired

          public void setRequired(String required)

    - #### getAllowMultiple

          public String getAllowMultiple()

    - #### setAllowMultiple

          public void setAllowMultiple(String allowMultiple)

    - #### getDataType

          public String getDataType()

    - #### setDataType

          public void setDataType(String dataType)

Copyright © 2020 WSO2. All rights reserved.